org.eclipse.actf.model.dom.dombycom

## Interface IObjectElementFactory

    public interface IObjectElementFactory

IObjectElementFactory interface defines the methods to be implemented by the extension of the DOM object.

### Method Summary

Methods
`org.eclipse.actf.model.dom.dombycom.impl.NodeImpl` `createTopNode(org.eclipse.actf.model.dom.dombycom.impl.NodeImpl base, IDispatch inode)`

### Method Detail

#### createTopNode

    org.eclipse.actf.model.dom.dombycom.impl.NodeImpl createTopNode(org.eclipse.actf.model.dom.dombycom.impl.NodeImpl base,
                                                                  IDispatch inode)

Parameters:
  `base` - an instance of INodeEx which becomes the base of the new Node.
  `inode` - the instance of the IDispatch which is the target to create.
Returns:
  the new node of wrapper of the inode.